Package org.apache.catalina.tribes

# Interface ChannelInterceptor.InterceptorEvent

All Known Implementing Classes:
  `NonBlockingCoordinator.CoordinationEvent`

Enclosing interface:
  ChannelInterceptor

public static interface ChannelInterceptor.InterceptorEvent

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEventType()`
  `String`
  `getEventTypeDesc()`
  `ChannelInterceptor`
  `getInterceptor()`

- ## Method Details

  - ### getEventType

    int getEventType()

  - ### getEventTypeDesc

    String getEventTypeDesc()

  - ### getInterceptor

    ChannelInterceptor getInterceptor()